import { SvgIconProps } from "../../app/types/types";


export function AvatarSidebarIcon(props: SvgIconProps) {
  return (
    <svg width="32" height="33" viewBox="0 0 32 33" fill="none" xmlns="http://www.w3.org/2000/svg" {...props}>
      <g clipPath="url(#clip0_4313_14994)">
        <path
          d="M16 31.0898C23.732 31.0898 30 24.8218 30 17.0898C30 9.35786 23.732 3.08984 16 3.08984C8.26801 3.08984 2 9.35786 2 17.0898C2 24.8218 8.26801 31.0898 16 31.0898Z"
          fill="white"
        />
        <path
          d="M16 0.987305C12.8355 0.987305 9.74207 1.92569 7.11088 3.68379C4.4797 5.44189 2.42894 7.94075 1.21793 10.8644C0.0069325 13.788 -0.309921 17.0051 0.307443 20.1087C0.924806 23.2124 2.44866 26.0634 4.6863 28.301C6.92394 30.5387 9.77487 32.0625 12.8786 32.6799C15.9823 33.2972 19.1993 32.9804 22.1229 31.7694C25.0466 30.5584 27.5454 28.5076 29.3035 25.8764C31.0616 23.2452 32 20.1518 32 16.9873C31.9984 12.7443 30.3122 8.67559 27.312 5.67535C24.3117 2.67512 20.243 0.988895 16 0.987305ZM16 5.7873C16.9494 5.7873 17.8774 6.06882 18.6667 6.59625C19.4561 7.12368 20.0713 7.87334 20.4346 8.75042C20.7979 9.62751 20.893 10.5926 20.7078 11.5237C20.5226 12.4548 20.0654 13.3101 19.3941 13.9814C18.7228 14.6527 17.8675 15.1099 16.9364 15.2951C16.0053 15.4803 15.0402 15.3852 14.1631 15.0219C13.286 14.6586 12.5364 14.0434 12.009 13.254C11.4815 12.4647 11.2 11.5367 11.2 10.5873C11.1992 9.95674 11.3228 9.33221 11.5638 8.74949C11.8047 8.16677 12.1583 7.63731 12.6041 7.19143C13.05 6.74555 13.5795 6.39202 14.1622 6.15107C14.7449 5.91013 15.3694 5.78652 16 5.7873ZM16 28.5073C14.099 28.5072 12.2276 28.0367 10.5525 27.1378C8.87748 26.2389 7.45091 24.9394 6.40001 23.3553C6.44801 20.1713 12.8 18.4273 16 18.4273C19.184 18.4273 25.552 20.1713 25.6 23.3553C24.5491 24.9394 23.1225 26.2389 21.4475 27.1378C19.7725 28.0367 17.901 28.5072 16 28.5073Z"
          fill="#52306D"
        />
      </g>
      <defs>
        <clipPath id="clip0_4313_14994">
          <rect width="32" height="32" fill="white" transform="translate(0 0.987305)" />
        </clipPath>
      </defs>
    </svg>
  )
}
